Get Team Folder Members

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all members who are part of a team folder.

Endpoints

OAuth Scope

WorkDrive.teamfolders.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/members \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

teamfolder_idstring(Required)

The unique ID of a team folder.

Response Example

R221

U001

R008

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "ly9zm0170fb40015f4e2297a144e2b68cfa68-747938014",
        "type": "members",
        "attributes": {
          "email_id": "zylker@zylker.com",
          "shared_time_in_millis": 1618251055505,
          "shared_by": "Zylker Creation",
          "expiry_in_millis": 0,
          "relation_type": 0,
          "expiration_date": "",
          "share_to_entity_info": {
            "display_name": "Zylker Creation",
            "email_id": "zylker@zylker.com",
            "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb&nps=404"
          },
          "share_to_member_type": -1,
          "role_id": 1,
          "shared_time_i18": "Apr 12, 11:40 PM",
          "shared_time": "Apr 12, 11:40 PM",
          "shared_status": "ACTIVE",
          "can_link_to_docs": true,
          "owner": "747937818",
          "allow_sharing_outside": false,
          "shared_type": "workspace",
          "delete_from_propagated_space": false,
          "display_name": "Zylker Creation",
          "message": "",
          "share_to": "747938014",
          "is_expired": false,
          "shared_to_member_type": -1,
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb&nps=404",
          "is_password_protected": false,
          "resource_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
          "permalink": "https://www.zohoapis.com/workdrive/file/ly9zm0170fb40015f4e2297a144e2b68cfa68",
          "shared_by_zuid": "747938014"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/members/ly9zm0170fb40015f4e2297a144e2b68cfa68-747938014"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R221",
        "title": "Invalid inputs"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full